### Method

# FwupdPlugin UsbDevice get_hid_descriptors

since: 2.0.0

#### Declaration [src]

    GPtrArray*
    fu_usb_device_get_hid_descriptors (
      FuUsbDevice* self
      GError** error
    )

#### Description [src]

Gets all the HID descriptors exported by the device.

The first time this method is used the hardware is queried and then after that cached results are returned. To invalidate the caches use fu_device_invalidate().

Available since: 2.0.0

#### Return value

Type: An array of `GBytes*`

An array of HID descriptors.

The caller of the method takes ownership of the returned data container, but not the data inside it.